<app-table-filter
  *ngIf="tableSettings.hasFilter && tableSettings.filterPosition === 'top'"
  (filterChanged)="handleFilterChanged($event)"
  [columns]="tableFilterColumns"
  [filterValues]="tableFilterValues"
  [filter]="tableOptions.filter"
  [design]="tableSettings.tableClass || ''"></app-table-filter>
<div class="wrapper" *ngIf="data">
  <div class="cs-list-table {{ tableSettings.tableClass !== 'light-bordered' ? 'eui-u-mt-2xl' : '' }}">
    <div class="eui-u-flex eui-u-flex-column {{ tableSettings.tableClass === 'light-bordered' ? 'eui-u-flex-align-items-start' : '' }}">
      <span *ngIf="tableSettings.entityName && tableSettings.tableClass !== 'light'" class="eui-u-f-m-bold">
        {{
          data?.count
            ? ('app.list.'.concat(tableSettings.entityName).concat('.heading') | translate: { count: data?.count })
            : ('app.list.'.concat(tableSettings.entityName).concat('.noHeading') | translate)
        }}
      </span>
      <!-- LIGHT -->
      <div *ngIf="tableSettings.entityName && tableSettings.tableClass === 'light'" class="eui-u-flex">
        <span class="eui-u-f-m-bold">
          {{ 'app.list.'.concat(tableSettings.entityName).concat('.headingLight') | translate }}
        </span>
        <eui-chip euiAccent isFilled *ngIf="data?.count" class="eui-u-ml-xs">
          <span euiLabel class="eui-u-f-bold">{{ data?.count }}</span>
        </eui-chip>
        <div *ngIf="data.loading" class="loading-fade eui-u-ml-s">{{ 'app.loading' | translate }}</div>
      </div>

      <div euiInputGroup *ngIf="tableSettings.info" class="eui-u-mt-m">
        <div class="eui-input-group-addon info-border">
          <button euiButton euiInfo>
            <eui-icon-svg set="eui" icon="eui-info" size="l" fillColor="grey-5"></eui-icon-svg>
          </button>
          <span class="eui-u-pl-s eui-u-pl-s eui-u-pr-s" [innerHTML]="tableSettings.info | translate"></span>
        </div>
      </div>
    </div>

    <div *ngIf="tableSettings.labelName" euiInputGroup class="eui-u-flex eui-u-flex-row">
      <label euiLabel euiRequired class="eui-u-f-m-bold">
        {{ tableSettings.labelName | translate }}
      </label>
      <eui-chip euiAccent isFilled *ngIf="data?.count"
        ><span euiLabel>{{ data?.count }}</span></eui-chip
      >
    </div>
    <button *ngIf="tableSettings.hasAddBtn" (click)="handleAddBtnClicked()" euiButton euiPrimary>
      <eui-icon-svg
        *ngIf="tableSettings.hasAddBtnIcon"
        class="eui-u-mr-s"
        icon="{{ tableSettings.addBtnIcon ? tableSettings.addBtnIcon : 'add-circle' }}"
        size="m"
        set="outline"
        fillColor="primary"></eui-icon-svg>
      {{ tableSettings.addBtnKey | translate }}
    </button>
    <button *ngIf="tableSettings.hasLinkBtn" (click)="handleLinkBtnClicked()" euiButton euiPrimary euiOutline class="eui-u-ml-m">
      <eui-icon-svg class="eui-u-mr-s" icon="link" size="m" set="outline" fillColor="primary"></eui-icon-svg>
      {{ tableSettings.linkBtnKey | translate }}
    </button>
    <app-table-filter
      *ngIf="tableSettings.hasFilter && tableSettings.filterPosition === 'right'"
      (filterChanged)="handleFilterChanged($event)"
      [columns]="tableFilterColumns"
      [filterValues]="tableFilterValues"
      [filter]="tableOptions.filter"
      [design]="tableSettings.tableClass || ''"
      [align]="'right'"></app-table-filter>
  </div>
  <form class="table-wrapper eui-u-mt-m" [formGroup]="selectionForm">
    <table
      [rows]="data.listInfo.list"
      aria-describedby=""
      euiTable
      euiTableResponsive
      asyncTable
      [ngClass]="tableSettings.tableClass ? tableSettings.tableClass : ''"
      [attr.euiTableBordered]="tableSettings.tableClass !== 'light'">
      <ng-template euiTemplate="header">
        <tr>
          <th *ngIf="tableSettings.hasRadioBtn" aria-hidden="true"></th>
          <th *ngIf="tableSettings.expandableRows" aria-hidden="true"></th>
          <th
            (click)="col.sortable === false ? '' : onSortChange($event, col.id, tableOptions)"
            *ngFor="let col of tableColumns; trackBy: trackByFn"
            class="eui-u-cursor-pointer {{ col.align }} {{ col.display === 'statusIcon' ? 'col-icon-width' : '' }}"
            sortable
            [sortDisabled]="col.sortable === false || !data.listInfo.list.length"
            sortOn="{{ col.id }}"
            defaultOrder="{{ col.id === sortBy.fieldName }}"
            [sortOrder]="sortBy.order"
            [ngClass]="{ 'cs-min-width-200': col.id === 'userAdminApp' }">
            <span *ngIf="col.hasEUFlag" class="eui-flag-icon eui-flag-icon-eu eui-u-mr-xs flag-width"></span>
            <span
              *ngIf="col.hasHeaderCountry && tableSettings.countryCode !== ''"
              class="eui-flag-icon eui-flag-icon-{{ tableSettings.countryCode | flag }}
                                eui-u-mr-xs flag-width"></span>
            <span class="th-title" *ngIf="col.hasHeaderCountry">
              {{ col.label | translate: { countryName: tableSettings.countryName } }}
            </span>
            <span class="th-title" *ngIf="!col.hasHeaderCountry">
              {{ col.label | translate }}
            </span>
          </th>
          <th *ngIf="tableSettings.hasActions">
            <span class="th-title eui-u-flex-justify-content-center">
              {{ 'app.list.actions.column' | translate }}
            </span>
          </th>
        </tr>
      </ng-template>
      <ng-template euiTemplate="emptyMessage">
        <tr class="row-sel-default empty">
          <td [attr.colspan]="tableColumns.length + 2">
            <span class="eui-u-flex eui-u-flex-column eui-u-p-m">
              <eui-icon-svg icon="telescope" size="m" set="outline" fillColor="grey-100"></eui-icon-svg>
              <span class="eui-u-p-s">{{ 'app.list.noRecords.' + tableSettings.noRecordsText | translate }}</span>
            </span>
          </td>
        </tr>
      </ng-template>
      <ng-template euiTemplate="body" let-index="index" let-row>
        <tr
          class="{{ tableSettings.hasActions ? 'row-sel-pointer' : 'row-sel-default' }}
                            {{ row.id === selectedRowId ? 'dt-row-selected' : '' }}
                            {{ tableSettings.hasLink === true ? 'tr-link' : '' }}
                            {{ row.opened ? 'tr-open' : '' }}
                            {{ tableSettings.tableClass === 'light-bordered' ? 'light-bordered-row' : '' }}
                            {{ row.status === 0 ? 'cs-background-color-grey-5' : '' }}">
          <td *ngIf="tableSettings.hasRadioBtn">
            <input euiInputRadio formControlName="radioBtn" value="{{ row.id }}" name="radio-selection" id="radio-selection-id" />
          </td>
          <td
            *ngIf="tableSettings.expandableRows && !row['csEventTypeCode'].match('ABLED')"
            class="expandable-row__toggler"
            (click)="handleDTDetailsRow(row)">
            <eui-icon-svg set="eui" size="s" fillColor="primary" icon="{{ row.opened ? 'eui-chevron-down' : 'eui-chevron-forward' }}">
            </eui-icon-svg>
          </td>
          <td *ngIf="tableSettings.expandableRows && row['csEventTypeCode'].match('ABLED')" class="expandable-row__toggler"> </td>

          <td
            *ngFor="let col of tableColumns; trackBy: trackByFn; let idx = index"
            (click)="handleDTSelectRow(row)"
            class="{{ col.width }} {{ col.align }} {{ col.display === 'country' ? 'td-text-no-wrap' : '' }}">
            <eui-chip *ngIf="tableSettings.newId === row.id && col.hasNew">
              <span euiLabel>new</span>
            </eui-chip>
            <span *ngIf="col.display === '' && !col.detailsLink">{{ row[col.id] }}</span>
            <a *ngIf="col.display === '' && col.detailsLink" (click)="handleGoDetailsClicked(row)" class="eui-u-c-primary">
              {{ row[col.id] }}
            </a>
            <span *ngIf="col.display === 'number'">
              <eui-chip euiSecondary *ngIf="row[col.id] === 0" class="eui-u-bg-color-grey-100">
                <span euiLabel class="eui-u-c-white">0</span>
              </eui-chip>
              <span *ngIf="row[col.id] !== 0">{{ row[col.id] }}</span>
            </span>
            <span *ngIf="col.display === 'number-ms'">
              <eui-chip euiSecondary *ngIf="row[col.id]?.length === 0" class="eui-u-bg-color-grey-100">
                <span euiLabel class="eui-u-c-white">0</span>
              </eui-chip>
              <span *ngIf="row[col.id]?.length !== 0">{{ row[col.id]?.length }}</span>
            </span>
            <span *ngIf="col.display === 'languageDescription'">
              <span class="description-text" [class.expanded]="row.expanded">{{ row[col.id] }}</span>
              <button
                *ngIf="row[col.id]?.length > 45"
                (click)="toggleDescription(row)"
                euiButton
                euiBasicButton
                euiPrimary
                class="eui-u-mr-s eui-u-mb-s eui-u-f-bold"
                [class.hide]="row.expanded">
                {{ 'app.all.link.expand' | translate }}
              </button>
            </span>
            <span *ngIf="col.display === 'description'" class="eui-u-flex eui-u-flex-align-items-start">
              <span *ngIf="!row[col.id]" class="eui-u-font-italic eui-u-c-neutral-lighter">{{
                'app.list.common.noDescription' | translate
              }}</span>
              <span *ngIf="row[col.id]?.length < 150">{{ row[col.id] }}</span>
              <span *ngIf="row[col.id]?.length > 150">{{ row.expanded ? row[col.id] : row[col.id]?.substring(0, 150).concat('...') }}</span>
              <a *ngIf="row[col.id]?.length > 150" (click)="row.expanded = !row.expanded" class="eui-u-ml-xs">
                <eui-icon-svg *ngIf="row.expanded" set="outline" icon="chevron-up-circle" fillColor="primary"></eui-icon-svg>
                <eui-icon-svg *ngIf="!row.expanded" set="outline" icon="chevron-down-circle" fillColor="primary"></eui-icon-svg>
              </a>
            </span>
            <span *ngIf="col.display === 'status'">
              <app-status [status]="row[col.id]"></app-status>
            </span>
            <span *ngIf="col.display === 'userStatus'" class="usr-status">
              <div (click)="handleToggleChanged(row)" class="eui-u-mr-xs">
                <app-toogle-row [col]="col" [row]="row"></app-toogle-row>
              </div>
              {{ (row[col.id] === 1 ? 'app.data.user.status_1' : 'app.data.user.status_0') | translate }}
            </span>
            <span *ngIf="col.display === 'reqType'">
              {{ 'app.data.'.concat(tableSettings.entityName).concat('.type_').concat(row[col.id]) | translate }}</span
            >
            <span *ngIf="col.display === 'lastModified'">{{ row[col.id] | date: dateFormat.DD_MM_YYYY }}</span>
            <span *ngIf="col.display === 'statusIcon'">
              {{ 'app.data.'.concat(tableSettings.entityName).concat('.status_').concat(row[col.id]) | translate }}
            </span>
            <span *ngIf="col.display === 'userType'">
              {{ 'app.data.'.concat(tableSettings.entityName).concat('.userType_').concat(row[col.id]) | translate }}
            </span>
            <span *ngIf="col.display === 'country'">
              <span
                *ngIf="row.countryCode"
                class="eui-flag-icon
                                  eui-flag-icon-{{ row.countryCode | flag }} eui-u-mr-xs"></span>
              {{ row[col.id] }}
            </span>
            <span *ngIf="col.display === 'ownerCountry'">
              <span
                *ngIf="row[col.id]?.code"
                class="eui-flag-icon
                                  eui-flag-icon-{{ row[col.id]?.code | flag }} eui-u-mr-xs"></span>
              {{ row[col.id]?.name }}
            </span>
            <span *ngIf="col.display === 'language'">
              {{ 'app.languages.'.concat(row[col.id].toString().toLowerCase()) | translate }}
            </span>
            <span *ngIf="col.display === 'appUM'">
              <span *ngIf="row['userApp'].length === 0" class="eui-u-c-neutral-lighter">
                {{ 'app.data.user.noAccess' | translate }}
              </span>
              <span *ngFor="let role of row['userApp']; let i = index">
                <eui-chip *ngIf="row.expandedUser || i < 1" euiSizeM euiOutline euiSecondary class="eui-u-mr-2xs eui-u-mb-2xs">
                  <span euiLabel>{{ 'app.manageUser.role.' + role['roleName'] | translate }}</span>
                </eui-chip>
              </span>
              <span *ngIf="row['userApp']?.length > 1" (click)="toggleDomains(row, $event, 'expandedUser')">
                <span *ngIf="row.expandedUser" class="eui-u-flex">
                  <eui-icon-svg set="eui" icon="eui-chevron-back" fillColor="primary" [size]="'s'"></eui-icon-svg>
                  <span class="eui-u-c-primary">Less</span>
                </span>
                <span *ngIf="!row.expandedUser">
                  <span class="eui-u-c-primary">More</span>
                  <eui-icon-svg set="eui" icon="eui-chevron-forward" fillColor="primary" [size]="'s'"></eui-icon-svg>
                </span>
              </span>
            </span>
            <span *ngIf="col.display === 'appAdmin'" class="eui-u-flex">
              <span *ngIf="row['adminApp'].length === 0" class="eui-u-c-neutral-lighter">
                {{ 'app.data.user.noAccess' | translate }}
              </span>
              <span *ngFor="let role of row['adminApp']; let i = index">
                <eui-chip *ngIf="row.expandedAdmin || i < 1" euiSizeM euiOutline euiSecondary class="eui-u-mr-2xs eui-u-mb-2xs">
                  <span euiLabel>{{ 'app.manageUser.role.' + role['roleName'] | translate }}</span>
                </eui-chip>
              </span>
              <span *ngIf="row['adminApp']?.length > 1" (click)="toggleDomains(row, $event, 'expandedAdmin')">
                <span *ngIf="row.expandedAdmin" class="eui-u-flex eui-u-ml-xs">
                  <eui-icon-svg set="eui" icon="eui-chevron-back" fillColor="primary" [size]="'s'"></eui-icon-svg>
                  <span class="eui-u-c-primary">Less</span>
                </span>
                <span *ngIf="!row.expandedAdmin" class="eui-u-flex eui-u-ml-xs">
                  <span class="eui-u-c-primary">More</span>
                  <eui-icon-svg set="eui" icon="eui-chevron-forward" fillColor="primary" [size]="'s'"></eui-icon-svg>
                </span>
              </span>
            </span>
            <span *ngIf="col.display === 'startDate'">
              {{ row['startDate'] | date: 'dd/MM/yyyy' }}
            </span>
            <span
              *ngIf="col.display === 'endDate'"
              [ngClass]="{
                'eui-u-c-neutral-lighter': !row['endDate']
              }">
              <span
                *ngIf="userService.expiredDate(row['endDate']); else other_content"
                euiTooltip="{{ 'app.data.user.expired' | translate }}">
                <eui-icon-svg icon="warning" set="outline" size="xs" fillColor="danger-dark"></eui-icon-svg>
                <span class="eui-u-c-danger-dark">{{
                  (row['endDate'] | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate)
                }}</span>
              </span>
              <ng-template #other_content>{{
                (row['endDate'] | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate)
              }}</ng-template>
            </span>
            <span *ngIf="col.display === 'eventType'">
              {{ row['eventTypeName'] }}
            </span>
            <span *ngIf="col.display === 'timestamp'">
              {{ row['timestamp'] | date: 'dd/MM/yyyy HH:mm' }}
            </span>
          </td>
          <td *ngIf="tableSettings.hasActions" class="cs-col-left">
            <app-list-row-action (btnClicked)="handleDTRowAction($event, row)" [buttons]="row.listActionBtns"></app-list-row-action>
          </td>
        </tr>
        <tr *ngIf="row.opened" class="tr-open">
          <td [colSpan]="tableColumns.length + 2" class="eui-u-p-none">
            <div class="openRow row" *ngIf="row['csEventTypeCode'] === 'USER_UPDATED_DETAILS'">
              <div class="eui-u-width-5"></div>
              <div class="col-md-2 eui-mt-xs">
                <span
                  ><strong>{{ 'app.list.event.after' | translate }}</strong></span
                >
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.country">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span
                      ><span class="eui-flag-icon eui-flag-icon-{{ row.diffPayloadNew.country | flag }} eui-flag-icon-1x"></span>
                      {{ getCountryName(row.diffPayloadNew.country) }}</span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.userName">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span>{{ 'app.list.user.columns.userName' | translate }} : {{ row.diffPayloadNew.userName }}</span></span
                  >
                </div>
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.email">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span>{{ 'app.list.user.columns.email' | translate }} : {{ row.diffPayloadNew.email }}</span></span
                  >
                </div>
              </div>

              <div class="col-md-1 eui-u-p-3xl">
                <eui-icon-svg icon="eui-arrow-back" set="eui" size="m" fillColor="grey-100"></eui-icon-svg>
              </div>

              <div class="col-md-6 eui-u-c-neutral-lighter">
                <span
                  ><strong>{{ 'app.list.event.before' | translate }}</strong></span
                >
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.country">
                  <span class="eui-u-ml-2xs">
                    <span
                      ><span class="eui-flag-icon eui-flag-icon-{{ row.diffPayloadOld.country | flag }} eui-flag-icon-1x"></span>
                      <s>{{ getCountryName(row.diffPayloadOld.country) }}</s></span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.userName">
                  <span class="eui-u-ml-2xs">
                    <span>
                      <s>{{ row.diffPayloadOld.userName }}</s></span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.email">
                  <span class="eui-u-ml-2xs">
                    <span>
                      <s>{{ row.diffPayloadOld.email }}</s></span
                    ></span
                  >
                </div>
              </div>
            </div>
            <div class="openRow row" *ngIf="row['csEventTypeCode'] === 'USER_CREATED'">
              <div class="eui-u-width-5"></div>
              <div class="col-md-3">
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadNew && row.diffPayloadNew.country">
                  <span
                    ><span class="eui-flag-icon eui-flag-icon-{{ row.diffPayloadNew.country | flag }} eui-flag-icon-1x"></span>
                    {{ getCountryName(row.diffPayloadNew.country) }}</span
                  ></div
                >
                <div class="eui-u-mv-s">
                  <span>{{ 'app.list.user.columns.userName' | translate }} : {{ row.diffPayloadNew.userName }}</span></div
                >
                <div class="eui-u-mv-s">
                  <span>{{ 'app.details.user.label.csRoleType' | translate }}: </span>
                  <span *ngFor="let role of row.diffPayloadNew.roles; let i = index">
                    <eui-chip euiSizeM euiOutline euiSecondary class="eui-u-mr-2xs eui-u-mb-2xs">
                      <span euiLabel>TEST {{ 'app.manageUser.role.' + role['roleName'] | translate }}</span>
                    </eui-chip>
                  </span>
                </div>
                <div class="eui-u-mv-s">
                  <span
                    >{{ 'app.list.user.table.columns.startDate' | translate }} : {{ row.diffPayloadNew.startDate | date: 'dd/MM/yyyy' }}
                    <span class="eui-u-ml-l"
                      >{{ 'app.list.user.table.columns.endDate' | translate }}:
                      {{ (row.diffPayloadNew.endDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }}</span
                    ></span
                  >
                </div>
              </div>
            </div>
            <div class="openRow row" *ngIf="row['csEventTypeCode'] === 'USER_UPDATED_ROLES'">
              <div class="eui-u-width-5"></div>
              <div class="col-md-2">
                <span
                  ><strong>{{ 'app.list.event.after' | translate }}</strong></span
                >
                <div
                  class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center"
                  *ngFor="let role of row.diffPayloadNew.roles; let i = index">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <eui-chip euiSizeM euiOutline euiSecondary class="eui-u-mr-2xs eui-u-mb-2xs">
                      <span euiLabel>{{ 'app.manageUser.role.' + role['roleName'] | translate }}</span>
                    </eui-chip></span
                  >
                </div>
              </div>
              <div class="col-md-1 eui-u-p-3xl">
                <eui-icon-svg icon="eui-arrow-back" set="eui" size="m" fillColor="grey-100"></eui-icon-svg>
              </div>

              <div class="col-md-6 eui-u-c-neutral-lighter">
                <span
                  ><strong>{{ 'app.list.event.before' | translate }}</strong></span
                >
                <div class="eui-u-mv-s" *ngFor="let role of row.diffPayloadOld.roles; let i = index">
                  <span class="eui-u-ml-2xs">
                    <eui-chip euiSizeM euiOutline euiSecondary class="eui-u-mr-2xs eui-u-mb-2xs eui-u-c-neutral-lighter">
                      <span euiLabel>{{ 'app.manageUser.role.' + role['roleName'] | translate }}</span>
                    </eui-chip></span
                  >
                </div>
              </div>
            </div>
            <div class="openRow row" *ngIf="row['csEventTypeCode'] === 'USER_UPDATED_DATES'">
              <div class="eui-u-width-5"></div>
              <div class="col-md-2">
                <span
                  ><strong>{{ 'app.list.event.after' | translate }}</strong></span
                >
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.startDate">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span>
                      {{ 'app.list.user.table.columns.startDate' | translate }} :
                      {{ row.diffPayloadNew.startDate | date: 'dd/MM/yyyy' }}</span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span>
                      {{ 'app.list.user.table.columns.endDate' | translate }}:
                      {{ (row.diffPayloadNew.endDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }}</span
                    ></span
                  >
                </div>
              </div>

              <div class="col-md-1 eui-u-p-3xl">
                <eui-icon-svg icon="eui-arrow-back" set="eui" size="m" fillColor="grey-100"></eui-icon-svg>
              </div>

              <div class="col-md-6 eui-u-c-neutral-lighter">
                <span
                  ><strong>{{ 'app.list.event.before' | translate }}</strong></span
                >

                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.startDate">
                  <span class="eui-u-ml-2xs">
                    <span>
                      {{ 'app.list.user.table.columns.startDate' | translate }} :
                      <s>{{ row.diffPayloadOld.startDate | date: 'dd/MM/yyyy' }}</s></span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld">
                  <span class="eui-u-ml-2xs">
                    <span>
                      {{ 'app.list.user.table.columns.endDate' | translate }}:
                      <s>{{ (row.diffPayloadOld.endDate | date: 'dd/MM/yyyy') || ('app.data.user.undefined' | translate) }}</s></span
                    ></span
                  >
                </div>
              </div>
            </div>
            <div class="openRow row" *ngIf="row['csEventTypeCode'] === 'EDELIVERY_CREATED'">
              <div class="eui-u-width-5"></div>
              <div class="col-md-3">
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadNew && row.diffPayloadNew.country">
                  <span
                    ><span class="eui-flag-icon eui-flag-icon-{{ row.diffPayloadNew.country | flag }} eui-flag-icon-1x"></span>
                    {{ getCountryName(row.diffPayloadNew.country) }}</span
                  ></div
                >
                <div class="eui-u-mv-s">
                  <span>{{ 'app.list.eDelivery.columns.name' | translate }} : {{ row.diffPayloadNew.name }}</span></div
                >
                <div class="eui-u-mv-s">
                  <span
                    >{{ 'app.list.eDelivery.columns.schemeId' | translate }} : {{ getSchema(row.diffPayloadNew.schemeId)?.text }}</span
                  ></div
                >
                <div class="eui-u-mv-s">
                  <span>{{ 'app.list.eDelivery.columns.identifier' | translate }} : {{ row.diffPayloadNew.identifier }}</span></div
                >
              </div>
            </div>
            <div class="openRow row" *ngIf="row['csEventTypeCode'] === 'EDELIVERY_UPDATED_DETAILS'">
              <div class="eui-u-width-5"></div>
              <div class="col-md-2">
                <span
                  ><strong>{{ 'app.list.event.after' | translate }}</strong></span
                >
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.country">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span
                      ><span class="eui-flag-icon eui-flag-icon-{{ row.diffPayloadNew.country | flag }} eui-flag-icon-1x"></span>
                      {{ getCountryName(row.diffPayloadNew.country) }}</span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.name">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span>{{ 'app.list.eDelivery.columns.name' | translate }} : {{ row.diffPayloadNew.name }}</span></span
                  >
                </div>
                <div class="eui-u-mv-s eui-u-flex eui-u-flex-align-items-center" *ngIf="row.diffPayloadNew && row.diffPayloadNew.schemeId">
                  <eui-icon-svg icon="eui-ecl-check-filled:eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span
                      >{{ 'app.list.eDelivery.columns.schemeId' | translate }} : {{ getSchema(row.diffPayloadNew.schemeId)?.text }}</span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadNew && row.diffPayloadNew.identifier">
                  <eui-icon-svg icon="eui-ecl-check-filled" set="eui" size="s" fillColor="success-dark"></eui-icon-svg>
                  <span class="eui-u-ml-2xs">
                    <span>{{ 'app.list.eDelivery.columns.identifier' | translate }} : {{ row.diffPayloadNew.identifier }}</span></span
                  >
                </div>
              </div>

              <div class="col-md-1 eui-u-p-3xl">
                <eui-icon-svg icon="eui-arrow-back" set="eui" size="m" fillColor="grey-100"></eui-icon-svg>
              </div>

              <div class="col-md-6 eui-u-c-neutral-lighter">
                <span
                  ><strong>{{ 'app.list.event.before' | translate }}</strong></span
                >
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.country">
                  <span class="eui-u-ml-2xs">
                    <span
                      ><span class="eui-flag-icon eui-flag-icon-{{ row.diffPayloadOld.country | flag }} eui-flag-icon-1x"></span>
                      <s>{{ getCountryName(row.diffPayloadOld.country) }}</s></span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.name">
                  <span class="eui-u-ml-2xs">
                    <span>
                      <s>{{ row.diffPayloadOld.name }}</s></span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.schemeId">
                  <span class="eui-u-ml-2xs">
                    <span>
                      <s>{{ getSchema(row.diffPayloadOld.schemeId)?.text }}</s></span
                    ></span
                  >
                </div>
                <div class="eui-u-mv-s" *ngIf="row.diffPayloadOld && row.diffPayloadOld.identifier">
                  <span class="eui-u-ml-2xs">
                    <span>
                      <s>{{ row.diffPayloadOld.identifier }}</s></span
                    ></span
                  >
                </div>
              </div>
            </div>
          </td>
        </tr>
      </ng-template>
      <ng-template euiTemplate="footer">
        <tr *ngIf="data.listInfo.list.length > 0">
          <td [attr.colspan]="tableColumns.length + 2">
            <div class="table-footer">
              <div *ngIf="!tableSettings.hidePaginator && data.listInfo.count >= tableOptions.pageSize" class="table-footer-info">
                {{
                  'app.list.pagination'
                    | translate
                      : {
                          pageFirstRecord: (tableOptions.pageNumber - 1) * tableOptions.pageSize + 1,
                          pageLastRecord: (tableOptions.pageNumber - 1) * tableOptions.pageSize + data.listInfo.list.length,
                          totalRecords: data.listInfo.count
                        }
                }}
              </div>
              <div class="table-footer-paginator" *ngIf="!tableSettings.hidePaginator">
                <eui-paginator
                  (pageChange)="onPageChange($event, tableOptions)"
                  [length]="data.listInfo.count"
                  [pageSizeOptions]="defaultPageSizeOptions"
                  [pageSize]="tableOptions.pageSize"
                  [page]="tableOptions.pageNumber - 1"
                  [isHidden]="data.listInfo.count < tableOptions.pageSize"
                  hasPageNumberNavigation></eui-paginator>
              </div>
            </div>
          </td>
        </tr>
      </ng-template>
    </table>
  </form>
</div>

<ng-template #active>
  <eui-icon-svg class="eui-u-mr-2xs" set="eui" size="m" fillColor="success-75" icon="eui-ecl-success"></eui-icon-svg>
</ng-template>

<ng-template #inactive>
  <eui-icon-svg class="eui-u-mr-2xs" set="eui" size="m" fillColor="success-25" icon="eui-ecl-success"></eui-icon-svg>
</ng-template>

<ng-template #noAccess>
  <eui-icon-svg class="eui-u-mr-2xs" set="eui" size="m" fillColor="grey-10" icon="eui-ellipse"></eui-icon-svg>
</ng-template>
